Package org.apache.tapestry5

# Class BindingConstants

java.lang.Object
org.apache.tapestry5.BindingConstants

public class BindingConstants extends Object
Constants for the built-in binding prefixes. These are often used with the `Parameter.defaultPrefix()` annotation attribute.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSET`
  References a localized asset.
  `static final String`
  `BLOCK`
  References a named block within the template.
  `static final String`
  `COMPONENT`
  A reference to a component within the container's template, by local component id.
  `static final String`
  `CONTEXT`
  Binding factory for context assets specifically.
  `static final String`
  `LITERAL`
  Binding expression prefix used for literal strings.
  `static final String`
  `MESSAGE`
  A reference to a localized message from the component's message catalog (including message keys inherited from the application global message catalog).
  `static final String`
  `NULLFIELDSTRATEGY`
  A way of selecting a named `NullFieldStrategy` contributed to `NullFieldStrategySource`.
  `static final String`
  `PROP`
  Binding expression prefix used to bind to a property of the component.
  `static final String`
  `SYMBOL`
  References a value of a symbol.
  `static final String`
  `TRANSLATE`
  References a named `Translator` contributed to the `TranslatorSource` service.
  `static final String`
  `VALIDATE`
  References (and configures) one ore more named `Validator`s contributed to the `FieldValidatorSource` service.
  `static final String`
  `VAR`
  Allows for temporary storage of information during the render only (may not currently be used during form submission processing).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LITERAL

    public static final String LITERAL
    Binding expression prefix used for literal strings.
    See Also:
      - Constant Field Values

  - ### PROP

    public static final String PROP
    Binding expression prefix used to bind to a property of the component. When `Parameter.defaultPrefix()` is not specified, the default is PROP.
    See Also:
      - Constant Field Values

  - ### NULLFIELDSTRATEGY

    public static final String NULLFIELDSTRATEGY
    A way of selecting a named `NullFieldStrategy` contributed to `NullFieldStrategySource`.
    See Also:
      - Constant Field Values

  - ### COMPONENT

    public static final String COMPONENT
    A reference to a component within the container's template, by local component id.
    See Also:
      - Constant Field Values

  - ### MESSAGE

    public static final String MESSAGE
    A reference to a localized message from the component's message catalog (including message keys inherited from the application global message catalog).
    See Also:
      - Constant Field Values

  - ### VALIDATE

    public static final String VALIDATE
    References (and configures) one ore more named `Validator`s contributed to the `FieldValidatorSource` service.
    See Also:
      - `FieldValidatorSource`
      - Constant Field Values

  - ### TRANSLATE

    public static final String TRANSLATE
    References a named `Translator` contributed to the `TranslatorSource` service. The binding is of type `FieldTranslator`.
    See Also:
      - Constant Field Values

  - ### BLOCK

    public static final String BLOCK
    References a named block within the template.
    See Also:
      - Constant Field Values

  - ### ASSET

    public static final String ASSET
    References a localized asset. The asset will be relative to the component's class file, unless a prefix (typically, "context:") is used on the expression. Typically, this is used for classpath assets relative to the component class, and `CONTEXT` is used for context assets.
    See Also:
      - `Asset`
      - `AssetSource`
      - Constant Field Values

  - ### VAR

    public static final String VAR
    Allows for temporary storage of information during the render only (may not currently be used during form submission processing). This is often used to store the current object iterated over by a `Loop` component.
    See Also:
      - Constant Field Values

  - ### CONTEXT

    public static final String CONTEXT
    Binding factory for context assets specifically. The expression is the path from the root of the web application.
    Since:
      5.1.0.0
    See Also:
      - Constant Field Values

  - ### SYMBOL

    public static final String SYMBOL
    References a value of a symbol.
    Since:
      5.2.0
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BindingConstants

    public BindingConstants()